Subject: Re: MPC8349E's DMA controller like ISA controller but with more feature?

From: lhthanh <[email-masked]>
Date: Thu, 07 May 2009 08:59:57 +0700

lhthanh wrote:
>   
>> Thanks for your explaination! So if I want to transfer a buffer of data 
>> from a single I/O port,  will not DMA framework
>> also be able ?
>>     
>
> No.
>
>   
>> Have I to write aother driver?
>>     
>
> Yes.
>
>   
>> Actually, I don't want write all because there are  serveral DMA code at 
>> hand. I only want to use a framework instead of re-writing.
>>     
>
> There is no framework for what you want to do.  There is only one other
> driver that does what you want (sound/soc/fsl/fsl_dma.c), and that is a
> complicated driver that does many things besides transferring data to an
> I/O port.
>
>   
>> And I afraid that I can not write code which assure sharing DMA channels.
>>     
>
> Look at arch/powerpc/boot/dts/mpc8610_hpcd.dts.  The DMA channels that
> are needed by the 8610 audio driver have a different 'compatible'
> property.  This is how you prevent the generic DMA driver from using a
> channel that you want.
>
> I'm afraid that you're going to have to study the DMA programming model,
> and my device driver, and write a brand new driver from scratch.
>
>   
Thank Scott and Timur very much! I will study more DMA driver and come 
back later. :)

Regard!